% =================================================
%
% Ops_Sequence
% CBP 30-12-21
% Demonstration of how to do the following sequence
% D = C*(A + B)
% Algorithm is to make repeated calles of ode45
% when preceding computation is finished
%
% =================================================

% Global variables to pass to the rhs function
global tau1 I1 I2

% Add two variables ----- I1 + I2 ----------------------
tau1 = 0.1
tstart = 0;
tend = 1;
uinit = [0,0];
I1 = 2.4;
I2 = 3.6;
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
[t1,u] = ode45(@rhs_Immediate_Add,[tstart,tend],uinit,options);
u1 = u(:,1);

% Now multiply by a third variable  ---- I1 * I2 --------
initU1 = 0;
tstart = 1;
tend = 2;
uinit = [0,0];
I1 = u1(length(u1 - 2));  % I1 is result from previous op
I2 = 5;
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
[t2,u] = ode45(@rhs_Immediate_Mult,[tstart,tend],uinit,options);
u2 = u(:,1);
subplot(3,1,1)
plot(t1,u1,'b','linewidth',2);
subplot(3,1,2);
plot(t2,u2,'b','linewidth',2);
subplot(3,1,3);
plot(t1,u1,'r','linewidth',2,t2,u2,'b','linewidth',2);

