% =============================================================================
%
% ShuntingTwo.m
%
% CBP 18-10-18
%
% Status Devel
%
% =============================================================================

% Global variables to pass to the rhs function
global tau I1 I2 k eps

% Input parameters from user
I1= input('Input init value of I1');
I2= input('Input init value of I2');

k = 2;
eps = 0.001;

tau = 0.1

% Specify start and end times for the computation
tend = 5;
tstart = 0;

% Specify the initial values of the neurons
uinit = [0,0];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_ShuntingTwo,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);
u2 = u(:,2);

% Calc neuron output if necessary

% Make the input pulses for plots

pulse1 = myPulse(2,4,I1,t);
pulse2 = myPulse(2,4,I2,t);

subplot(2,2,1);
plot(t,pulse1,'r','linewidth',2);
title('input to neuron 1');

subplot(2,2,3);
plot(t,u1,'b','linewidth',2);
title('o/p u1');

subplot(2,2,2);
plot(t,pulse2,'r','linewidth',2);
title('input to neuron 2');

subplot(2,2,4);
plot(t,u2,'b','linewidth',2);
title('o/p u2');

printf("Max val of u1 = %f\n",max(u1));
printf("Max val of u2 = %f\n",max(u2));

