% ==============================================
%
% TwoPulseMult Multiplication of two pulses
%
% CBP 08-10-18 
% Status Release
%
% ===============================================

% Global variables to pass to the rhs function
global tau1 pulseStart1 pulseEnd1 pulseHeight1 pulseStart2 pulseEnd2 pulseHeight2

% Input parameters from user
pulseStart1 = 2;
pulseEnd1 = 4;
pulseHeight1 = input('Input 1 pulse height');

pulseStart2 = 2;
pulseEnd2 = 4;
pulseHeight2 = input('Input 1 pulse height');

tau1 = 0.1;

initU1 = 0;

% Specify start and end times for the computation
tstart = 0;
tend = 10;

% Specify the initial values of the neurons
uinit = [initU1];

% Set options for the calculation - do not change
options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);
% start the calculation - do not change
[t,u] = ode45(@rhs_TwoPulseMult,[tstart,tend],uinit,options);

% Get the neuron states
u1 = u(:,1);

% Calc neuron output if necessary


% Generate the pulse(s) used in the rhs

pulse1 = myPulse(pulseStart1,pulseEnd1,pulseHeight1,t);
pulse2 = myPulse(pulseStart2,pulseEnd2,pulseHeight2,t);

% Now display the variables
subplot(3,1,1);
plot(t,pulse1,'b','linewidth',2);
title('Pulse 1');
subplot(3,1,2);
plot(t,pulse2,'b','linewidth',2);
title('Pulse 2');
subplot(3,1,3);
plot(t,u1,'r','linewidth',2);
title('u1');
