% =====================================================
%
% rhs_Hopf with phase delay
% CBP 27-12-21
%
% =====================================================

function dudt=rhs_Hopf_with_PhaseDelay(t,u)
  
global alpha mu omega phaseLag

dudt = zeros(6,1);

% Hopf oscillator -------------------------------------
r2 = u(1)*u(1) + u(2)*u(2);
dudt(1) = alpha*(mu - r2)*u(1) - omega*u(2);
dudt(2) = omega*u(1) + alpha*(mu - r2)*u(2);

% Three phase delay chain
tau1 = tan(phaseLag/3)/omega;
k1 = sqrt(tau1*tau1*omega*omega + 1);

dudt(3) = (-u(3) + k1*u(1))/tau1;
dudt(4) = (-u(4) + k1*u(3))/tau1;
dudt(5) = (-u(5) + k1*u(4))/tau1;
dudt(6) = (-u(6) + k1*u(5))/tau1;

endfunction
